/*
When using xorm, you can create multiple orm engines, an engine means a database.
 */
package main

import (
	// Core.
	"fmt"
	"os"

	// SQLite 3
	_ "github.com/mattn/go-sqlite3"

	// MySQL. Use either driver.
	// _ "github.com/go-sql-driver/mysql"
	// _ "github.com/ziutek/mymysql"

	// PostgreSQL
	// _ "github.com/lib/pq"

	// SQL Server
	// _ "github.com/lunny/godbc"

	// XORM.
	"github.com/go-xorm/xorm"

	// Others.
	"github.com/davecgh/go-spew/spew"
)

var engine *xorm.Engine

func main() {
	var err error

	// NewEngine parameters are those of the SQL driver: driver and DSN.
	engine, err := xorm.NewEngine("sqlite3", "./test.db")
	if err != nil {
		panic(err)
		os.Exit(1)
	}
	fmt.Println("ORM loaded")

	spew.Dump(engine)
	// Not needed: called automatically on exit.
	engine.Close()
}
